Open topic with navigation

# OMT Manual Installer Script `install` Command Line Arguments

Argument | Description
--- | ---
`--auto-configure-firewall` | Flag to indicate whether to auto configure the firewall rules during node deployment. The allowable values are true or false. The default is true.
`--cluster-name` | Specifies the logical name of the cluster.
`--deployment-log-location` | Specifies the absolute path of the folder for placing the log files from deployments.
`--enable-fips` | This parameter enables suites to enable and disable FIPS. The expected values are true or false. The default is false.
`--fail-swap-on` | If ‘swapping’ is enabled, specifies whether to make the kubelet fail to start. Set to true or false. The default is true.
`--flannel-backend-type` | Specifies flannel backend type. Supported values are vxlan and host-gw. The default is host-gw. Note: The arcsight-install tool has two prechecks that will validate if Layer 2 connectivity is present between nodes. If not, the tool will recommend to use vxlan for flannel back end type.
`--ha-virtual-ip` | A Virtual IP (VIP) is an IP address that is shared by all master nodes. The VIP is used for the connection redundancy by providing failover for one host. Should a master node fail, another master node takes over the VIP address and responds to requests sent to the VIP. Mandatory for a Multi-Master cluster; not applicable to a single-master cluster The VIP must be resolved (forward and reverse) to the VIP Fully Qualified Domain Name (FQDN)
`--cdf-home` | Specifies the absolute path of the directory for the installation binaries. By default, the Kubernetes installation directory is /opt/arcsight/kubernetes.
`--keepalived-nopreempt` | Specifies whether to enable nopreempt mode for KeepAlived. The allowable value of this parameter is true or false. The default is true and KeepAlived is started in nopreempt mode.
`--keepalived-virtual-router-id` | Specifies the virtual router ID for KEEPALIVED. This virtual router ID is unique for each cluster under the same network segment. All nodes in the same cluster should use the same value, between 0 and 255. The default is 51.
`--kube-dns-hosts` | Specifies the absolute path of the hosts file used for host name resolution in a non-DNS environment. Note: Although this option is supported by the OMT Installer, its use is strongly discouraged to avoid using DNS resolution in production environments, due to hostname resolution issues and the nuances involved in their mitigations.
`--load-balancer-host` | IP address or host name of load balancer used for communication between the master nodes. For a multiple master node cluster, it is required to provide `–load-balancer-hos`t or `–ha-virtual-ip` arguments.
`--master-api-ssl-port` | Specifies the https port for the Kubernetes (K8S) API server. The default is 8443.
`--nfs-folder` | Specifies the path to the NFS core volume.
`--nfs-server` | Address of the NFS host.
`--pod-cidr-subnetlen` | Specifies the size of the subnet allocated to each host for pod network addresses.
`--pod-cidr` | Specifies the private network address range for the Kubernetes pods. Default is 172.16.0.0/16. The minimum useful network prefix is /24. The maximum useful network prefix is /8. This must not overlap with any IP ranges assigned to services (see `--service-cidr` parameter below) in Kubernetes. The default is 172.16.0.0/16.
`--registry_orgname` | The organization inside the public Container Registry name where suite images are located. Not mandatory. Select one of the following: Specify your own organization name (such as your company name). For example:`--registry-orgname=Mycompany.` Skip this parameter. A default internal registry will be created under the default name HPESWITOM.
`--runtime-home` | Specifies the absolute path for placing Kubernetes runtime data. By default, the runtime data directory is `${CDF_HOME}/data.`
`--service-cidr` | Kubernetes service IP range. Default is 172.30.78.0/24. Must not overlap the POD_CIDR range. Specifies the network address for the Kubernetes services. The minimum useful network prefix is /27 and the maximum network prefix is /12. If SERVICE_CIDR is not specified, then the default value is 172.17.17.0/24. This must not overlap with any IP ranges assigned to nodes for pods. See `--pod-cidr.`
`--skip-check-on-node-lost` | Option used to skip the time synchronization check if the node is lost. The default is true.
`--skip-warning` | Option used to skip the warnings in precheck when installing the Initial master Node. Set to true or false. The default is false.
`--system-group-id` | The group ID exposed on server; default is 1999.
`--system-user-id` | The user ID exposed on server; default is 1999.
`--tmp-folder` | Specifies the absolute path of the temporary folder for placing temporary files. The default temporary folder is `/tmp.`
`-h, --help` | Displays a help message explaining proper parameter usage
`-m, --metadata` | Specifies the absolute path of the tar.gz suite metadata packages.
`--private-key </path/to/key>` | If present, enables use of private SSH keys for an upgrade to 23.3.